Subject: Re: bug#6459: 24.0.50; completions-format should not have a `nil' choice
From: Juri Linkov <[email-masked]>
To: "Drew Adams" <[email-masked]>
Cc: [email-masked]
Date: Fri, 25 Jun 2010 00:54:08 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

>> >> There is no reason for the `nil' choice.  Please remove it
>> >> and make the default value `horizontal'.  Occam's razor
>> >> (KISS) and clarity for users argue for this.
>> >
>> > We could remove nil from the docstring and from :type, and change
>> > the default value to `horizontal', but I'd still treat nil as
>> > `horizontal' internally for compatibility.

This is changed now.

> I don't have a big problem with that. But what "compatibility" is gained?
> Compatibility of what with what? This is a new variable.
>
>> Since this is a new defcustom woulddn't it be better to not let nil be
>> a valid value? That may catch some problems and the backward
>> compatibilities are not likely to be big.
>
> I agree with Lennart here. KISS. I see no reason for nil. I am unaware of any
> backward compatibility issue for this variable.

I don't want to completely break the *Completions* buffer with
an unadvertized value.  So currently I left `horizontal' as a
catch-all case in the implementation.

-- 
Juri Linkov
http://www.jurta.org/emacs/